Searched refs:code (Results 1 - 25 of 164) sorted by relevance

1234567

/ast/src/lib/libz/
H A Dinffixed.h59 static const code lenfix[512] = {
136 static const code distfix[32] = {
H A Dinftrees.h12 information needed to do the operation requested by the code that
14 table that indexes more bits of the code. op indicates whether
16 distance, an end-of-block, or an invalid code. For a table
19 is the number of extra bits to get after the code. bits is
20 the number of bits in this code or part of the code to drop off
26 unsigned char bits; /* bits in this part of the code */
27 unsigned short val; /* offset in table or code value */
28 } code; typedef in typeref:struct:__anon451
35 01000000 - invalid code
[all...]
H A Dinflate.h13 the crc code when it is not needed. For shared libraries, gzip decoding
37 LENLENS, /* i: waiting for code length code lengths */
38 CODELENS, /* i: waiting for length/lit and distance code lengths */
39 LEN, /* i: waiting for length/lit code */
41 DIST, /* i: waiting for distance code */
99 /* for table and code decoding */
101 /* fixed and dynamic code tables */
102 code const FAR *lencode; /* starting table for length/literal codes */
103 code cons
[all...]
/ast/src/lib/libast/regex/
H A Dregerror.c59 regerror(int code, const regex_t* p, char* buf, size_t size) argument
64 if (code++ == REG_VERSIONID)
66 else if (code >= 0 && code < elementsof(reg_error))
67 s = reg_error[code];
85 fatal(regdisc_t* disc, int code, const char* pattern) argument
90 (*disc->re_errorf)(NiL, disc, disc->re_errorlevel, "regular expression: %s: %s", pattern, reg_error[code+1]);
92 (*disc->re_errorf)(NiL, disc, disc->re_errorlevel, "regular expression: %s", reg_error[code+1]);
94 return code;
H A Dregfatal.c33 regfatalpat(regex_t* p, int level, int code, const char* pat) argument
37 regerror(code, p, buf, sizeof(buf));
46 regfatal(regex_t* p, int level, int code) argument
48 regfatalpat(p, level, code, NiL);
/ast/src/lib/libvcodex/Vcdelta/
H A Dvcdtblinit.c23 /* Construct default code tables for encoding/decoding delta instructions
28 /* default code table for compression */
55 Vcdcode_t* code = tbl->code; local
59 code[i].inst1.type = VCD_RUN;
60 code[i].inst1.size = 0; /* size coded separately */
61 code[i].inst1.mode = 0; /* there is no mode for RUN */
62 code[i].inst2.type = VCD_NOOP; /* there is no merged inst */
63 code[i].inst1.size = 0;
64 code[
[all...]
H A Dvcdtable.c22 /* Encoding and decoding a code table based on differences to another one.
23 ** This allows efficient embedding of a code table in the compressed data.
38 Vcdcode_t* code = tbl->code; local
41 *str++ = code[i].inst1.type;
43 *str++ = code[i].inst2.type;
45 *str++ = code[i].inst1.size;
47 *str++ = code[i].inst2.size;
49 *str++ = code[i].inst1.mode;
51 *str++ = code[
64 Vcdcode_t* code = tbl->code; local
[all...]
/ast/src/lib/libcodex/
H A Dcodex.c35 copy_close(Codex_t* code) argument
70 register Codex_t* code = CODEX(disc); local
83 if (code->meth->syncf)
86 if (r = (*code->meth->syncf)(code))
92 if (code->meth->donef)
95 r = (*code->meth->donef)(code);
98 if (code->dp)
100 sfclose(code
159 trace_close(Codex_t* code) argument
173 trace_init(Codex_t* code) argument
186 trace_done(Codex_t* code) argument
301 trace_sync(Codex_t* code) argument
314 trace_seek(Codex_t* code, Sfoff_t pos, int op) argument
327 trace_data(Codex_t* code, Codexdata_t* data) argument
404 save(Codexcache_t* cache, Codex_t* code, const char* name, int namelen, Codexnum_t flags) argument
440 Codex_t* code; local
[all...]
H A DMakefile10 code-rot13.c code-qp.c code-uu.c code-iconv.c \
/ast/src/cmd/3d/
H A Dexit3d.c27 _exit3d(int code) argument
39 fscall(mp, MSG_exit, 0, code, state.pid);
41 EXIT(code);
/ast/src/cmd/re/
H A Dsed3.c30 int code; local
37 if (code = regcomp((regex_t*)rebuf->w,(char*)t->w,reflags|REG_DELIMITED|REG_MUSTDELIM|((reflags&REG_LENIENT)?0:REG_ESCAPE)))
38 badre((regex_t*)rebuf->w,code);
41 if (!(reflags&REG_ICASE) && (code = regcomp((regex_t*)rebuf->w,(char*)t->w-((regex_t*)rebuf->w)->re_npat,reflags|REG_ICASE|REG_DELIMITED|REG_MUSTDELIM|((reflags&REG_LENIENT)?0:REG_ESCAPE))))
42 badre((regex_t*)rebuf->w,code);
52 if (code = regdup(readdr(lastre), (regex_t*)rebuf->w))
53 badre((regex_t*)rebuf->w,code);
63 reerror(regex_t* re, int code) argument
65 if(code && code !
75 int code; local
[all...]
/ast/src/lib/libast/uwin/
H A Derr.c48 errmsg(int level, int code, const char* fmt, va_list ap) argument
65 exit(code);
68 extern void verr(int code, const char* fmt, va_list ap) argument
70 errmsg(ERROR_ERROR|ERROR_SYSTEM, code, fmt, ap);
73 extern void err(int code, const char* fmt, ...) argument
78 errmsg(ERROR_ERROR|ERROR_SYSTEM, code, fmt, ap);
82 extern void verrx(int code, const char* fmt, va_list ap) argument
84 errmsg(ERROR_ERROR, code, fmt, ap);
87 extern void errx(int code, const char* fmt, ...) argument
92 errmsg(ERROR_ERROR, code, fm
[all...]
/ast/src/cmd/ksh93/tests/
H A Dexit.sh67 if [[ $(trap 'code=$?; echo $code; trap 0; exit $code' 0; exit 123) != 123 ]]
71 trap 'code=$?; echo $code; trap 0; exit $code' 0
/ast/src/lib/libtksh/tcl/
H A DtclAsync.c5 * handlers in a safe way. The code here doesn't actually handle
6 * signals, though. This code is based on proposals made by
145 * replace the code argument as the current completion code for
155 Tcl_AsyncInvoke(interp, code)
160 int code; /* If interp is non-NULL, this gives
161 * completion code from command that
167 return code;
172 code = 0;
197 code
[all...]
/ast/src/lib/libast/comp/
H A Datexit.c94 exit(int code)
100 _exit(code);
/ast/src/cmd/INIT/
H A Dhurl.sh121 if ! read prot code text
125 code=${code%:*}
128 test 0 != $verbose && echo "$command: prot=$prot code=$code $text" >&2
137 case $code in
154 case $code in
187 *) echo "$0: $url: $code: $text" >&2
H A Dcrossexec.sh105 code=$?
107 case $code in
138 $exec $sh $shu $hostname "cd $dir; LD_LIBRARY_PATH=: $cmd $@ </dev/null 2>/dev/null; code=\$?; rm -f $cmd; echo $command: exit \$code >&2" </dev/null 2>$tmp
/ast/src/cmd/ksh93/features/
H A Dmath.sh209 ?*) code="static $L $F("
219 code="$code${sep}$T a$p"
231 1) code="$code)$body"
232 echo "$code"
249 *:*:1) code="extern $r $f("
253 2:ldexp*) code="$code${sep}int" ;;
254 *) code
[all...]
/ast/src/lib/libast/port/
H A Dlc.c258 return match(s, cp->code, 0, 1) || match(s, cp->alternates, 3, 1) || cp->ms && match(s, cp->ms, 0, 1);
284 for (t = lp->code; s < e && (*s = *t++); s++);
305 for (t = lp->code; s < e && (*s = *t++); s++);
314 if ((flags & (LC_abbreviated|LC_default)) && streq(lp->code, tp->code))
335 for (t = tp->code; s < e && (*s = toupper(*t++)); s++);
355 t = cp->code;
356 if (streq(cp->code, "utf8") && (t = _locale_utf8_str))
360 for (t = cp->code; s < e && (c = *t++); s++)
390 char code[6 local
[all...]
/ast/src/lib/libast/misc/
H A Derrorx.c41 loc = (const char*)locales[AST_LC_MESSAGES]->code;
H A Dfindlib.h82 unsigned short code[FF_MAX][FF_MAX]; member in struct:__anon279
116 Code_t code;
118 #define decode code.code_decode
119 #define encode code.code_encode
/ast/src/lib/libtk/library/demos/
H A Dbutton.tcl21 button $w.buttons.code -text "See Code" -command "showCode $w"
22 pack $w.buttons.dismiss $w.buttons.code -side left -expand 1
H A Dcheck.tcl21 button $w.buttons.code -text "See Code" -command "showCode $w"
24 pack $w.buttons.dismiss $w.buttons.code $w.buttons.vars -side left -expand 1
/ast/src/lib/libtk/library/
H A Dfocus.tcl121 # 0 if it's not OK. The code first checks whether the window is
132 set code [catch {$w cget -takefocus} value]
133 if {($code == 0) && ($value != "")} {
148 set code [catch {$w cget -state} value]
149 if {($code == 0) && ($value == "disabled")} {
/ast/src/cmd/tests/vmalloc/
H A Dtmmopen.c29 int k, code = 0; local
88 code = twait(&cpid, 1);
106 texit(code);

Completed in 59 milliseconds

1234567